org.apache.ignite.internal.cache.query.index.sorted.inline

## Class InlineIndexFactory

- java.lang.Object
- - org.apache.ignite.internal.cache.query.index.sorted.inline.InlineIndexFactory

All Implemented Interfaces:
  IndexFactory

Direct Known Subclasses:
  DefragIndexFactory

    public class InlineIndexFactory
    extends Object
    implements IndexFactory

Factory to create `InlineIndex`.

### Field Summary

Fields
`static InlineIndexFactory` `INSTANCE`

### Constructor Summary

Constructors
Constructor and Description
`InlineIndexFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Index` `createIndex(GridCacheContext<?,?> cctx, IndexDefinition def)` Creates index by specified definition for specified cache.
`protected InlineIndexTree` `createIndexSegment(GridCacheContext<?,?> cctx, SortedIndexDefinition def, RootPage rootPage, IoStatisticsHolder stats, InlineRecommender recommender, int segmentNum)`
`protected RootPage` `rootPage(GridCacheContext<?,?> ctx, String treeName, int segment)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### INSTANCE

    public static final InlineIndexFactory INSTANCE

### Constructor Detail

#### InlineIndexFactory

    public InlineIndexFactory()

### Method Detail

#### createIndex

    public Index createIndex(GridCacheContext<?,?> cctx,
                             IndexDefinition def)

Creates index by specified definition for specified cache.

Specified by:
  `createIndex` in interface `IndexFactory`
Parameters:
  `cctx` - Cache context.
  `def` - Index definition.

#### createIndexSegment

    protected InlineIndexTree createIndexSegment(GridCacheContext<?,?> cctx,
                                                 SortedIndexDefinition def,
                                                 RootPage rootPage,
                                                 IoStatisticsHolder stats,
                                                 InlineRecommender recommender,
                                                 int segmentNum)
                                          throws Exception

Throws:
  `Exception`

#### rootPage

    protected RootPage rootPage(GridCacheContext<?,?> ctx,
                                String treeName,
                                int segment)
                         throws Exception

Throws:
  `Exception`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023